Page MenuHomePhabricator

[ARM][ParallelDSP] Convert to function pass
ClosedPublic

Authored by samparker on Jul 26 2019, 3:02 AM.

Details

Summary

Run across a whole function, visiting each basic block one at a time.

Diff Detail

Repository
rL LLVM

Event Timeline

samparker created this revision.Jul 26 2019, 3:02 AM
efriedma added inline comments.Jul 26 2019, 11:22 AM
lib/Target/ARM/ARMParallelDSP.cpp
222 ↗(On Diff #211902)

Missing call to skipFunction?

samparker updated this revision to Diff 212295.Jul 30 2019, 1:50 AM

Thanks. Added skipFunction and rebased.

efriedma accepted this revision.Jul 30 2019, 12:09 PM

LGTM

lib/Target/ARM/ARMParallelDSP.cpp
192 ↗(On Diff #212295)

Missing call to AU.addPreserved<ScalarEvolutionWrapperPass>(). Missing call to AU.addPreserved<GlobalsAAWrapperPass>(). But that's orthogonal, I guess; fine to address that in a followup.

This revision is now accepted and ready to land.Jul 30 2019, 12:09 PM
Closed by commit rL367389: [ARM][ParallelDSP] Convert to function pass (authored by sam_parker, committed by ). · Explain WhyJul 31 2019, 12:35 AM
This revision was automatically updated to reflect the committed changes.
Herald added a project: Restricted Project. · View Herald TranscriptJul 31 2019, 12:35 AM

@efriedma Thanks, added Preserved before committing.

Heads-up, we've bisected a webrtc test failure down to this revision: https://bugs.chromium.org/p/webrtc/issues/detail?id=10887

(But we're still analyzing things.)